/**
	GameHost class
	JDG Communications for Federal Trade Commission
*/

import mx.utils.Delegate;

import gs.TweenLite;

import gov.ftc.core.Utilities;
import gov.ftc.squaresgame.templates.BasicClip;

class gov.ftc.squaresgame.GameHost extends BasicClip {

// CLASS VARIABLES

	public var choose:MovieClip;
	public var standby:MovieClip;
	public var noMarkX:MovieClip;
	public var noMarkO:MovieClip;
	public var winX:MovieClip;
	public var winO:MovieClip;

	private var __visibleMc:MovieClip;

// CONSTRUCTOR
	
	public function GameHost() {
		super();
		TweenLite.to(choose, 0, {autoAlpha: 0, _xscale: 25, _yscale: 25});
		TweenLite.to(standby, 0, {autoAlpha: 0, _xscale: 25, _yscale: 25});
		TweenLite.to(noMarkX, 0, {autoAlpha: 0, _xscale: 25, _yscale: 25});
		TweenLite.to(noMarkO, 0, {autoAlpha: 0, _xscale: 25, _yscale: 25});
		TweenLite.to(winX, 0, {autoAlpha: 0, _xscale: 25, _yscale: 25});
		TweenLite.to(winO, 0, {autoAlpha: 0, _xscale: 25, _yscale: 25});
	}
	
// CLASS METHODS

	public function init():Void {
		//called after setData() 
		super.init();
	}
	
	public function pose(p_label:String):Void {
		gotoAndStop(p_label);
	}
	
	public function showPrompt(p_label:String):Void {
		var tweenVars:Object = {
			autoAlpha: 100,
			_xscale: 100,
			_yscale: 100,
			onComplete: Delegate.create(this, registerVisibleMc),
			onCompleteParams: [this[p_label]]
		}
		hidePrompt();
		TweenLite.to(this[p_label], 0.3, tweenVars);
	}
	
	public function hidePrompt():Void {
		if (__visibleMc) {
			var tweenVars:Object = {
				autoAlpha: 0,
				_xscale: 25,
				_yscale: 25,
				onStart: Delegate.create(this, registerVisibleMc),
				onStartParams: [null]
			}
			TweenLite.to(__visibleMc, 0.3, tweenVars);
		}
	}
	
	private function registerVisibleMc(p_mc:MovieClip):Void {
		__visibleMc = p_mc;
	}
	
	public function destroy():Void {
		TweenLite.killTweensOf(this);
	}
	
}